<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>background-origin</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        body {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            gap: 2px;
        }

        h2 {
            margin: .2em;
        }

        .general {
            background-image: url('../img/page.png');

            background-color: lightblue;
            border: 5px dotted;
            padding: 1em;
        }

        .ejemplo1 {
            background-origin: border-box;
        }

        .ejemplo2 {
            background-origin: padding-box;
        }

        .ejemplo3 {
            background-origin: content-box;
        }
    </style>
</head>

<body>
    <div>
        <h2>border-box</h2>
        <div class="general ejemplo1">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
    <div>
        <h2>padding-box</h2>
        <div class="general ejemplo2">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
    <div>
        <h2>content-box</h2>
        <div class="general ejemplo3">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
</body>

</html>